summaryrefslogtreecommitdiffstats
path: root/source/ap/groff/groff.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/groff/groff.SlackBuild')
-rwxr-xr-xsource/ap/groff/groff.SlackBuild18
1 files changed, 13 insertions, 5 deletions
diff --git a/source/ap/groff/groff.SlackBuild b/source/ap/groff/groff.SlackBuild
index 79d640091..fcaaa1b3f 100755
--- a/source/ap/groff/groff.SlackBuild
+++ b/source/ap/groff/groff.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2005-2008, 2009, 2010, 2011, 2016 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2005-2008, 2009, 2010, 2011, 2016, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,10 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=groff
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -35,9 +36,16 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:--j7}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-groff
@@ -81,7 +89,7 @@ CXXFLAGS="$SLKCFLAGS" \
--build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG
+make install DESTDIR=$PKG || exit 1
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null